# Poco

# template < typename TArgs >

# class ExpirationDecorator

Library: Foundation
Package: Events
Header: Poco/ExpirationDecorator.h

## Description

ExpirationDecorator adds an expiration method to values so that they can be used with the UniqueExpireCache

## Member Summary

Member Functions: getExpiration, value

## Constructors

### ExpirationDecorator

ExpirationDecorator();

### ExpirationDecorator

ExpirationDecorator(
const TArgs & p,
const Poco::Timespan::TimeDiff & diffInMs
);

Creates an element that will expire in diff milliseconds

### ExpirationDecorator

ExpirationDecorator(
const TArgs & p,
const Poco::Timespan & timeSpan
);

Creates an element that will expire after the given timeSpan

### ExpirationDecorator

ExpirationDecorator(
const TArgs & p,
const Poco::Timestamp & timeStamp
);

Creates an element that will expire at the given time point

## Destructor

### ~ExpirationDecorator

~ExpirationDecorator();

## Member Functions

### getExpiration

const Poco::Timestamp & getExpiration() const;

### value

const TArgs & value() const;

### value

TArgs & value();